import React from 'react'

import { Box, Flex, VStack } from '@chakra-ui/react'

import { Topbar } from 'src/features/topbar'

export type MainLayoutProps = {
  children?: React.ReactNode
}

export const MainLayout = ({ children }: MainLayoutProps) => {
  return (
    <VStack w="full" alignItems="center">
      <Topbar />
      <Flex h="100vh" w="full" justifyContent="center" bgColor="white">
        <Box>{children}</Box>
      </Flex>
    </VStack>
  )
}
