import * as yup from 'yup'
import { Animation } from 'src/models'

export type CreateAnimationSchema = Pick<Animation, 'name' | 'description'>

const ANIMATION_NAME_MAX_LENGHT = 255

export const createAnimationSchema = yup.object().shape<CreateAnimationSchema>({
  name: yup
    .string()
    .max(
      ANIMATION_NAME_MAX_LENGHT,
      `El nombre debe tener menos de ${ANIMATION_NAME_MAX_LENGHT} caracteres`
    )
    .required('El nombre es requerido'),
  description: yup.string().required('La descripcion es requerida'),
})
