import { AxiosError } from 'axios'
import { useMutation as useRQMutation, UseMutationOptions } from 'react-query'

import { CreateImplementationRequest, Pattern } from 'src/models'
import axiosService from 'src/services/axios-service'

export namespace CreateImplementationMutation {
  export type Params = CreateImplementationRequest
  export type Response = Pattern

  export const key = ['create', 'implementation']

  export const mutationFn = (params: Params) =>
    axiosService
      .post<Response>(`/implementations/`, params)
      .then((res) => res.data)

  export const useMutation = (
    options: UseMutationOptions<
      Response,
      AxiosError,
      CreateImplementationRequest
    > = {}
  ) => {
    return useRQMutation(mutationFn, { ...options, mutationKey: key })
  }
}
