import { useStore } from 'zustand'
import { createStore } from 'zustand/vanilla'

interface TestsRunningState {
  isRunning: boolean
}

interface TestRunningActions {
  setIsRunning: (isRunning: boolean) => void
}

type TestsRunningStore = TestsRunningState & TestRunningActions

export const testsRunningStore = createStore<TestsRunningStore>((set) => ({
  isRunning: false,
  setIsRunning: (isRunning: boolean) => set({ isRunning }),
}))

export const useTestsRunningStore = (): TestsRunningStore =>
  useStore(testsRunningStore)
